Bug 133750 - Port fix: devel/raknet - Update to v3.5.0
Summary: Port fix: devel/raknet - Update to v3.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steven Kreuzer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-15 12:20 UTC by ganael.laplanche
Modified: 2009-04-30 18:40 UTC (History)
0 users

See Also:


Attachments
file.txt (33.39 KB, text/plain)
2009-04-15 12:20 UTC, ganael.laplanche
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2009-04-15 12:20:01 UTC
This patch (gzipped, uuencoded) updates devel/raknet to v3.5.0.

Fix: Patch attached with submission follows:
Comment 1 Steven Kreuzer freebsd_committer 2009-04-15 13:57:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->skreuzer

I'll take it.
Comment 2 Steven Kreuzer freebsd_committer 2009-04-29 14:17:06 UTC
Ganael-

The distfile that is hosted on sourceforge and jenkinssoftware.com  
have different checksums. I grabbed a copy of both and compared them
and it seems like while the versions are correct, the distfile from  
sourceforge has additional files that are not in distfile provided by  
jenkinssoftware.com
In addition, the checksums of certian files differ as well.

Cn you please figure out which is the "correct" distfile to use?

Also, it is not necessary to gzip and uuencode patches. Simply  
submitting plaintext unified diffs is very much appreciated. Thanks

--
Steven Kreuzer
http://www.exit2shell.com/~skreuzer
Comment 3 ganael.laplanche 2009-04-29 14:39:58 UTC
On Wed, 29 Apr 2009 09:17:06 -0400, Steven Kreuzer wrote

Hello Steven,

> The distfile that is hosted on sourceforge and jenkinssoftware.com  
> have different checksums. I grabbed a copy of both and compared them
> and it seems like while the versions are correct, the distfile from  
> sourceforge has additional files that are not in distfile provided by  
> jenkinssoftware.com
> In addition, the checksums of certian files differ as well.
> 
> Cn you please figure out which is the "correct" distfile to use?

I was aware of that problem, and I have already emailed the developper to ask
him to put exactly the same files for future versions (I hope he will do so).

For that particular port version, checksums I used are the ones from
jenkinssoftware.com, not sourceforge. But I left sourceforge listed in the
MASTER_SITES for future versions of the port (and also to make the port being
able to use sourceforge if the developper decided to upload the 'good' version
of the software to SF again).

> Also, it is not necessary to gzip and uuencode patches. Simply  
> submitting plaintext unified diffs is very much appreciated. Thanks

Oh, sorry. I often sumbit PRs as plain text, but for big patches, I've already
got bitten and had to gzip them. So sometimes, I send big patches gzipped
without trying plain text first :p

Best regards,

Ganaël LAPLANCHE
ganael.laplanche@martymac.com
http://www.martymac.com
Comment 4 Steven Kreuzer freebsd_committer 2009-04-30 17:13:29 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter freebsd_committer 2009-04-30 18:32:57 UTC
skreuzer    2009-04-30 17:32:43 UTC

  FreeBSD ports repository

  Modified files:
    devel/raknet         Makefile distinfo pkg-plist 
    devel/raknet/files   
                         patch-DependentExtensions-AutopatcherPostgreRepository-AutopatcherPostgreRepository.cpp 
                         patch-Source-BigInt.cpp 
                         patch-Source-NetworkIDObject.cpp 
                         patch-Source-RSACrypt.cpp 
  Log:
  Update to v3.5.0
  
  PR:             ports/133750
  Submitted by:   Ganael Laplanche <ganael.laplanche@martymac.com>
  Approved by:    wxs (mentor)
  
  Revision  Changes      Path
  1.16      +3 -5        ports/devel/raknet/Makefile
  1.6       +3 -3        ports/devel/raknet/distinfo
  1.2       +0 -13       ports/devel/raknet/files/patch-DependentExtensions-AutopatcherPostgreRepository-AutopatcherPostgreRepository.cpp
  1.2       +0 -12       ports/devel/raknet/files/patch-Source-BigInt.cpp
  1.2       +0 -11       ports/devel/raknet/files/patch-Source-NetworkIDObject.cpp
  1.2       +0 -12       ports/devel/raknet/files/patch-Source-RSACrypt.cpp
  1.5       +1347 -1464  ports/devel/raknet/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"